﻿//
//
// Namespace
var ClickView = ClickView || {};

//
//
// Initialise Plugin
ClickView.Firefly = (function (ClickView, $) {
    var
        _embedLink = '',
        _loggingData = '',
		
		validate = function() {
		    var valid = (_embedLink != '');
			
			if(!valid)
				notreadyReason = 'You must select a video to embed.';

			return valid;
		},

		encode = function () {
		    if (_loggingData) {
		        var img = new Image();
		        img.src = _loggingData.onlineUrl + '?e=' + _loggingData.eventName + '&d=' + _loggingData.JSON;
		    }

		    return _embedLink;
		},

		focus = function () {},
		
		init = function() {
			$(function () {
				var pluginFrame = document.getElementById('cv-plugin-iframe');

				if (!pluginFrame)
					return;

				var eventsApi = new CVEventsApi(pluginFrame.contentWindow);
				eventsApi.on('cv-lms-addvideo', function (event, details) {
				    _embedLink = details.embedLink;
				});
			    eventsApi.on('cv-delegate-logging', function(event, details) {
			        _loggingData = details;
			    });
			});
		};

	init();
	
	return {
		Focus:    focus,
		Encode:   encode,
		Validate: validate
	};
}(ClickView, jQuery));
